package com.ruoyi.system.service;

import com.ruoyi.system.domain.dto.DockerLogsParams;
import java.util.List;
import com.ruoyi.system.domain.dto.UpdateBaseParams;
import com.ruoyi.system.domain.dto.DeploySSLParams;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.domain.SnServer;

public interface ISnServerService
{
    AjaxResult deployBasicEnv(final SnServer p0);
    
    AjaxResult changeDomain(final SnServer p0);
    
    AjaxResult deployDomainSSL(final DeploySSLParams p0);
    
    AjaxResult updateUI(final UpdateBaseParams p0);
    
    AjaxResult updateBack(final UpdateBaseParams p0);
    
    AjaxResult updateMessage(final UpdateBaseParams p0);
    
    AjaxResult DDLUpdate(final Long p0);
    
    AjaxResult syncUa(final Long p0);
    
    String syncUa(final SnServer p0, final Boolean p1);
    
    AjaxResult syncUaAll(final List<Long> p0);
    
    void updateClientCloak(final Long p0);
    
    void logoutMerchant(final Long p0);
    
    SnServer selectSnServerByServerId(final Long p0);
    
    List<SnServer> selectSnServerList(final SnServer p0);
    
    AjaxResult insertSnServer(final SnServer p0);
    
    int updateSnServer(final SnServer p0);
    
    int deleteSnServerByServerIds(final Long[] p0);
    
    AjaxResult getLogs(final DockerLogsParams p0);
}
